### Method

# Secret Collection load_items

#### Declaration [src]

    void
    secret_collection_load_items (
      SecretCollection* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Ensure that the `SecretCollection` proxy has loaded all the items present in the Secret Service.

This affects the result of `secret_collection_get_items()`.

For collections returned from `secret_service_get_collections()` the items will have already been loaded.

This method will return immediately and complete asynchronously.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to be passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.